.container {
    max-width: 75%;
    margin: 0 auto;
    padding: 0 20px;
}

.visit-image {
    display: flex;
    justify-content: center;
    margin: 30px auto;
}

.visit-image img {
    border-radius: 10px;
}

.info-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 20px;
}

.opening-hours, .key-info {
    flex: 1;
    background: white;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px 30px;
}

.key-info ul {
    margin-left: 20px;
    list-style: disc;
}

.location {
    background: white;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px 30px;
}

.location-footer {
    gap: 20px;
}

.location-footer .location {
    flex: 0 0 300px;
    background: white;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px;
}

.location-footer iframe {
    flex: 1;
    border-radius: 10px;
    border: none;
    height: 30rem;
    width: 100%;
    margin-bottom: 20px;
}

@media (max-width: 768px) {
    .info-wrapper,
    .location-footer {
        flex-direction: column;
    }

    .visit-image img {
        margin-bottom: 20px;
    }
}
